> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /gofundme/campaigns/search

> Search GoFundMe campaigns (fundraisers) with filters

**Price:** 20 credits per 100 results



## OpenAPI

````yaml /openapi/company-startup-intel.json post /api/gofundme/campaigns/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/gofundme/campaigns/search:
    post:
      tags:
        - /gofundme
      summary: /gofundme/campaigns/search
      description: |-
        Search GoFundMe campaigns (fundraisers) with filters

        **Price:** 20 credits per 100 results
      operationId: __api_gofundme_campaigns_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GofundmeCampaignsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GofundmeCampaignHit'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GofundmeCampaignsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - $ref: '#/components/schemas/GofundmeCampaignCategory'
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        locale:
          anyOf:
            - $ref: '#/components/schemas/GofundmeCampaignLocale'
            - type: 'null'
        project_type:
          anyOf:
            - $ref: '#/components/schemas/GofundmeProjectType'
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
        has_donations:
          anyOf:
            - type: boolean
            - type: 'null'
        goal_min:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        goal_max:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        raised_min:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        raised_max:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        donation_count_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        created_after:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        created_before:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        latitude:
          anyOf:
            - type: number
              maximum: 90
              minimum: -90
            - type: 'null'
        longitude:
          anyOf:
            - type: number
              maximum: 180
              minimum: -180
            - type: 'null'
        radius_meters:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        count:
          type: integer
          maximum: 1000
          minimum: 1
      type: object
      required:
        - count
    GofundmeCampaignHit:
      properties:
        '@type':
          type: string
          default: GofundmeCampaignHit
        id:
          type: string
        alias:
          type: string
        url:
          type: string
        campaign_title:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        goal_amount:
          anyOf:
            - type: number
            - type: 'null'
        current_amount:
          anyOf:
            - type: number
            - type: 'null'
        amount_to_goal:
          anyOf:
            - type: number
            - type: 'null'
        goal_progress:
          anyOf:
            - type: number
            - type: 'null'
        donation_count:
          anyOf:
            - type: integer
            - type: 'null'
        heart_count:
          anyOf:
            - type: integer
            - type: 'null'
        comment_count:
          anyOf:
            - type: integer
            - type: 'null'
        category_id:
          anyOf:
            - type: integer
            - type: 'null'
        category_name:
          anyOf:
            - type: string
            - type: 'null'
        project_type:
          anyOf:
            - type: string
            - type: 'null'
        charity_id:
          anyOf:
            - type: integer
            - type: 'null'
        charity_name:
          anyOf:
            - type: string
            - type: 'null'
        organizer_name:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - $ref: '#/components/schemas/GofundmeLocation'
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        youtube_url:
          anyOf:
            - type: string
            - type: 'null'
        language_locale:
          anyOf:
            - type: string
            - type: 'null'
        has_donations:
          anyOf:
            - type: boolean
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
        last_donation_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
        - alias
        - url
        - campaign_title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GofundmeCampaignCategory:
      type: string
      enum:
        - Medical, Illness & Healing
        - Funerals & Memorials
        - Accidents & Emergencies
        - Babies, Kids & Family
        - Animals & Pets
        - Rent, Food & Monthly Bills
        - Other
        - Education & Learning
        - Community & Neighbors
        - Business & Entrepreneurs
        - Dreams, Hopes & Wishes
        - Creative Arts, Music & Film
        - Sports, Teams & Clubs
        - Travel & Adventure
        - Volunteer & Service
        - Missions, Faith & Church
        - Non-Profits & Charities
        - Celebrations & Events
        - Competitions & Pageants
        - Environment
        - Weddings & Honeymoons
    GofundmeCampaignLocale:
      type: string
      enum:
        - en_US
        - en_GB
        - de_DE
        - es_MX
        - es_ES
        - it_IT
        - fr_FR
        - nl_NL
        - fr_CA
        - pt_BR
    GofundmeProjectType:
      type: string
      enum:
        - personal
        - charity
    GofundmeLocation:
      properties:
        '@type':
          type: string
          default: GofundmeLocation
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
        text:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````